---
title: PasswordCredential.name
slug: Web/API/PasswordCredential/name
tags:
  - API
  - Credential Management API
  - NeedsExample
  - PasswordCredential
  - Property
  - Reference
  - credential management
---
<p>{{SeeCompatTable}}{{APIRef("")}}</p>

<p><span class="seoSummary">The <strong><code>name</code></strong> read-only property of the {{domxref("PasswordCredential")}} interface returns a {{domxref("USVSTring")}} containing a human-readable public name for display in a credential chooser.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>name</em> =<em>passwordCredential</em>.name</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} containing a name.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Credential Management','#dom-credentialuserdata-name','name')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PasswordCredential.name")}}</p>
